# Template Function cif::join(IterType, IterType, std::string_view)

- Defined in File text.hpp

## Function Documentation

template<typename IterType>
std::string cif::join(IterType b, IterType e, std::string_view sep)

  Join the strings in the range [ a, e ) using sep as separator.

  Example usage:

      std::vector<std::string> v{ "aap", "noot", "mies" };

      assert(cif::join(v.begin(), v.end(), ", ") == "aap, noot, mies");